/**
 * 
 */
package modeles;

/**
 * @author Nicolas
 *
 */
public class Monstre extends EtreVivant {
	/**
	 * @param arme
	 * @param armure
	 * @param bourse
	 */
	public Monstre(String nom,int pVimax,  int pAttaque) {
		super(nom, pVimax, pAttaque);
		
	}
	
	public int attaquer(Personnage def,Labyrinthe lab) {
		int pAttaqueLoc;
		if (def.getArmure()>=0) pAttaqueLoc=this.getpAttaque()-(lab.listeArmure.get(def.getArmure()).getpArmure());
		else pAttaqueLoc=this.getpAttaque();
	 	def.pVie-=pAttaqueLoc;
	 	if (def.pVie<=0)def.setVivant(false);
	 	return pAttaqueLoc;
	 	
}
	
	
	
}
